Summary:	Converts text and other types of files to PostScript(TM)
Name:		a2ps
Version:	4.15.7
Release:	%mkrel 1
License:	GPLv3+
Group:		Publishing
Url:		https://www.gnu.org/software/a2ps/
Source0:	https://ftp.gnu.org/gnu/a2ps/%{name}-%{version}.tar.gz
Patch1:		a2ps-4.14-enable-display.patch
BuildRequires:	bison
BuildRequires:	emacs-bin
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	groff-perl
BuildRequires:	html2ps
BuildRequires:	imagemagick
BuildRequires:	mawk
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
BuildRequires:	paper-utils
BuildRequires:	psutils
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	libpaper-devel

Requires:	gzip
Requires:	bzip2
Requires:	binutils
Requires:	file
Requires:	groff-perl
Requires:	imagemagick
Requires:	paper-utils
Requires:	psutils

# The library was never used by anything and is not built anymore either
Obsoletes:	%{name}-devel < 4.14-25

%description
The a2ps filter converts text and other types of files to PostScript(TM).
a2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name} --all-name

%post
# Adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %{_datadir}/%{name}/afm/
  ./make_fonts_map.sh > /dev/null 2>&1
  mv -f fonts.map.new fonts.map
)

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS NEWS README TODO THANKS
%{_bindir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/*


%changelog
* Tue Jul 15 2025 daviddavid <daviddavid> 4.15.7-1.mga10
+ Revision: 2256414
- new version: 4.15.7

* Fri May 02 2025 ns80 <ns80> 4.15.6-3.mga10
+ Revision: 2180428
- bump rel
- add a patch from Fedora to fix building with GCC 15

* Thu Mar 14 2024 daviddavid <daviddavid> 4.15.6-1.mga10
+ Revision: 2049889
- new version: 4.15.6

* Sun Mar 10 2024 daviddavid <daviddavid> 4.15.5-1.mga10
+ Revision: 2048948
- new version: 4.15.5

* Sat May 27 2023 daviddavid <daviddavid> 4.15.4-2.mga9
+ Revision: 1958800
- add missing dependency on paper-utils to fix postinstall scriptlet (mga#31966)

* Fri May 05 2023 daviddavid <daviddavid> 4.15.4-1.mga9
+ Revision: 1955907
- new version: 4.15.4 (new release after about 16 years)
- no more devel files, the library was never used by anything
  and is not built anymore either

* Sat Apr 02 2022 umeabot <umeabot> 4.14-24.mga9
+ Revision: 1840925
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 4.14-23.mga9
+ Revision: 1789651
- fix files list

* Thu Jun 11 2020 joequant <joequant> 4.14-22.mga8
+ Revision: 1592243
- remove arm workaround

* Mon Feb 24 2020 daviddavid <daviddavid> 4.14-21.mga8
+ Revision: 1549750
- add patch to fix build with texinfo 6.7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 4.14-20.mga7
+ Revision: 1256472
- rely on filetriggers for info system (mga#23482)

* Sun Jul 01 2018 pterjan <pterjan> 4.14-19.mga7
+ Revision: 1241176
- Fix build on aarch64

* Thu Jan 18 2018 shlomif <shlomif> 4.14-18.mga7
+ Revision: 1194408
- Rebuild for new imagemagick

* Fri Feb 05 2016 umeabot <umeabot> 4.14-17.mga6
+ Revision: 939431
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.14-16.mga5
+ Revision: 750733
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.14-15.mga5
+ Revision: 677667
- Mageia 5 Mass Rebuild

* Tue Apr 01 2014 luigiwalser <luigiwalser> 4.14-14.mga5
+ Revision: 611157
- add patch from debian to fix CVE-2014-0466

* Sat Oct 19 2013 umeabot <umeabot> 4.14-13.mga4
+ Revision: 532133
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 4.14-12.mga4
+ Revision: 467118
- move static lib into devel package
- merge fedora patches
- add pld patch to build with recent texinfo

* Fri Jan 11 2013 umeabot <umeabot> 4.14-12.mga3
+ Revision: 345157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 19 2011 ahmad <ahmad> 4.14-11.mga1
+ Revision: 54251
- imported package a2ps


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 4.14-10mdv2011.0
+ Revision: 634991
- rebuild
- tighten BR

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 4.14-9mdv2011.0
+ Revision: 603164
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 4.14-7mdv2010.1
+ Revision: 506942
- rebuild for missing SRPM

* Sun Jan 03 2010 Stéphane Téletchéa <steletch@mandriva.org> 4.14-6mdv2010.1
+ Revision: 486078
- Remove encoding patch for now since it breaks badly the program

* Fri Oct 09 2009 Stéphane Téletchéa <steletch@mandriva.org> 4.14-5mdv2010.0
+ Revision: 456289
- Add paper size autorecognition (fixes #36107)
- Add locale autodectection
- Security enhancement
- Inline dependencies so they are better visible, add html2ps
- Add groff-perl instead of groff as indicated during the build

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 4.14-4mdv2010.0
+ Revision: 413016
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 4.14-3mdv2009.1
+ Revision: 364705
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.14-3mdv2009.0
+ Revision: 264317
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 22 2008 Tiago Salem <salem@mandriva.com.br> 4.14-2mdv2009.0
+ Revision: 196581
- add a 'display' printer by default (#20416)

* Wed Jan 30 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 4.14-1mdv2008.1
+ Revision: 160231
- added buildrequires to gperf.
- New upstream: 4.14 from Frederik Himpe.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.13b-12mdv2007.0
+ Revision: 120245
- set correct bits on make_fonts_map.sh

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.13b-11mdv2007.1
+ Revision: 119945
- Import a2ps

* Fri Feb 24 2006 Till Kamppeter <till@mandrakesoft.com> 4.13b-10mdk
- Fixed BuildRequires for X11 ("X11-devel").

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.13b-9mdk
- Rebuild

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.13b-8mdk
- Fix PreReq

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.13b-7mdk
- Fix PreReq

* Wed Nov 24 2004 Till Kamppeter <till@mandrakesoft.com> 4.13b-6mdk
- SECURITY FIX: File name command execution vulnerability (bug 11895) fixed
  by Patch 3.

* Sat Oct 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.13b-5mdk
- includes, 64-bit & varargs & 64-bit fixes

* Sun Mar 14 2004 Till Kamppeter <till@mandrakesoft.com> 4.13b-4mdk
- Removed "gv" from "Requires:".

